package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.AbastoBoleto;
import com.rjconsultores.ventaboletos.entidad.Aidf;
import com.rjconsultores.ventaboletos.entidad.DetAbastoBoleto;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Estacion;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;

public interface DetAbastoBoletoDAO extends GenericDAO<DetAbastoBoleto, Integer> {

	public Long getSecuencia();
	
	public List<DetAbastoBoleto> buscaDetAbastoBoletos(AbastoBoleto abastoBoleto);
	
	public List<DetAbastoBoleto> buscaDetAbastoBoletos(Estacion origem, String numfolioinicial, String numfoliofinal, String numseriepreimpresa);
	
	public void desativaDetAbastos(List<DetAbastoBoleto> detAbastoBoletos);
	
	public List<DetAbastoBoleto> buscabDetAbastoBoletoAutomatico(Estacion estacion, String numseriepreimpresa);
	
	public List<Object> buscabDetAbastoBoletoToVerifyIfAidfCanBeEditable(com.rjconsultores.ventaboletos.entidad.Aidf aidf);

	public DetAbastoBoleto buscarPorAidf(Long aidfId, Integer puntoVenta, String folioInicial, String folioFinal);

	public List<Aidf> buscarAidfsPorEmpresaAgencia(Empresa empresa, PuntoVenta origem);

}
